Bug 34441 - DHCP Statement Policy can break dhcp config
DHCP Statement Policy can break dhcp config
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Policies
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 4.2
Assigned To: Philipp Hahn
Florian Best
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-02 12:04 CEST by Tim Petersen
Modified: 2017-04-04 18:29 CEST (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Typo/text changes, Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Petersen univentionstaff 2014-04-02 12:04:54 CEST
The tooltip for the attribute "server name" at a dhcp statement policy clarifies that you have to use an ip adress there. In fact this breaks the dhcpd config and dhcpd server doesn't start. You have to use a hostname there instead.
Comment 1 Philipp Hahn univentionstaff 2015-11-11 13:18:28 CET
And it must be quoted!
Comment 2 Philipp Hahn univentionstaff 2016-09-02 17:31:07 CEST
(In reply to Philipp Hahn from comment #1)
> And it must be quoted!

The quoting is fixed in r16678 fo
Package: isc-dhcp
Version: 4.3.1-6+deb8u2A~4.2.0.201609021633
Branch: ucs_4.2-0


(In reply to Tim Petersen from comment #0)
> The tooltip for the attribute "server name" at a dhcp statement policy
> clarifies that you have to use an ip adress there. In fact this breaks the
> dhcpd config and dhcpd server doesn't start. You have to use a hostname
> there instead.

r72245 | Bug #34441 udm: Fix wrong help text for DHCP server statements

Package: univention-directory-manager-modules
Version: 12.0.2-1A~4.2.0.201609021728
Branch: ucs_4.2-0


The policy is not described in <http://docs.software-univention.de/manual-4.1.html#ip-config:Further_DHCP_policies>
Comment 3 Florian Best univentionstaff 2017-01-30 11:18:02 CET
OK: new syntax class is used
REOPEN: Changelog
Comment 4 Florian Best univentionstaff 2017-01-30 11:45:11 CET
REOPEN: german translation doesn't match
Comment 5 Philipp Hahn univentionstaff 2017-02-01 13:28:09 CET
r76293 | Bug #34441 udm: Fix German translation for DHCP server policy

Package: univention-directory-manager-modules
Version: 12.0.12-7A~4.2.0.201702011325
Branch: ucs_4.2-0
Comment 6 Florian Best univentionstaff 2017-02-02 21:53:21 CET
OK: german translation
OK: changelog
Comment 7 Stefan Gohmann univentionstaff 2017-04-04 18:29:25 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".